Package io.vertx.reactivex.ext.unit.collect

## Class EventBusCollector

- java.lang.Object
- - io.vertx.reactivex.ext.unit.collect.EventBusCollector

-     public class EventBusCollector
      extends Object

  The event bus collector listen to events on the Vert.x event bus and translate them into reports.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<EventBusCollector>` | `__TYPE_ARG` |
    `static String` | `EVENT_TEST_CASE_BEGIN` | Json `type` field value that signals a test case begins, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_CASE_END` | Json `type` field value that signals a test case ends, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_SUITE_BEGIN` | Json `type` field value that signals a test suite begins, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_SUITE_END` | Json `type` field value that signals a test suite ends, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_SUITE_ERROR` | Json `type` field value that reports a test suite error, used as part of the test reporting protocol for the event bus.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventBusCollector​(EventBusCollector delegate)` |
    `EventBusCollector​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EventBusCollector` | `create​(Vertx vertx, Handler<TestSuiteReport> reporter)` |
    `static EventBusCollector` | `create​(Vertx vertx, ReportingOptions options)` | Create a message handler reporting with the specified options.
    `boolean` | `equals​(Object o)` |
    `EventBusCollector` | `getDelegate()` |
    `int` | `hashCode()` |
    `static EventBusCollector` | `newInstance​(EventBusCollector arg)` |
    `MessageConsumer` | `register​(String address)` | Register the collector as a consumer of the event bus with the specified address.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<EventBusCollector> __TYPE_ARG

    - #### EVENT_TEST_SUITE_BEGIN

          public static final String EVENT_TEST_SUITE_BEGIN

      Json `type` field value that signals a test suite begins, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_SUITE_END

          public static final String EVENT_TEST_SUITE_END

      Json `type` field value that signals a test suite ends, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_SUITE_ERROR

          public static final String EVENT_TEST_SUITE_ERROR

      Json `type` field value that reports a test suite error, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_CASE_BEGIN

          public static final String EVENT_TEST_CASE_BEGIN

      Json `type` field value that signals a test case begins, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_CASE_END

          public static final String EVENT_TEST_CASE_END

      Json `type` field value that signals a test case ends, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventBusCollector

          public EventBusCollector​(EventBusCollector delegate)

    - #### EventBusCollector

          public EventBusCollector​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public EventBusCollector getDelegate()

    - #### create

          public static EventBusCollector create​(Vertx vertx,
                                                 ReportingOptions options)

      Create a message handler reporting with the specified options. The returned message handler can be registered to an event bus.
      Parameters:
        `vertx` -
        `options` - the reporting options
      Returns:
        the message handler

    - #### create

          public static EventBusCollector create​(Vertx vertx,
                                                 Handler<TestSuiteReport> reporter)

    - #### register

          public MessageConsumer register​(String address)

      Register the collector as a consumer of the event bus with the specified address.
      Parameters:
        `address` - the registration address
      Returns:
        the subscribed message consumer

    - #### newInstance

          public static EventBusCollector newInstance​(EventBusCollector arg)